<#     
    ************************************************************************************************************ 
    Lscht Provisioned windows 11 Apps
    Die Zeile 18 muss fr jede Organisation angepasst werden
    Will man fr den Rest der Apps nicht gefragt werden, so muss man Zeile 40 auf $result = 1 ndern
        Thorsten Jarz
    v1.4
    ************************************************************************************************************ 
 #>
$ProvisionedPackage = Get-AppxProvisionedPackage -online
$title="Lschen von Provisioned Apps"

$yes = New-Object System.Management.Automation.Host.ChoiceDescription "&Yes", "App lschen."

$no = New-Object System.Management.Automation.Host.ChoiceDescription "&No",  "App beibehalten."

$options = [System.Management.Automation.Host.ChoiceDescription[]]($yes, $no)

$lschen = @("Microsoft.BingNews", "Microsoft.BingWeather" , "Microsoft.GamingApp", "Microsoft.Getstarted", "Microsoft.MicrosoftOfficeHub","Microsoft.MicrosoftSolitaireCollection", "Microsoft.People","Microsoft.WindowsFeedbackHub", "microsoft.windowscommunicationsapps" ,"Microsoft.Wallet", "Microsoft.Xbox.TCUI","Microsoft.XboxGameOverlay", "Microsoft.XboxIdentityProvider", "Microsoft.XboxSpeechToTextOverlay" ,"Microsoft.YourPhone","MicrosoftTeams" )

if ($ProvisionedPackage -ne $null)


{
    ForEach ($App in $ProvisionedPackage)
    {
        if ($lschen -contains $App.displayName)
        { 
   
            # [System.Windows.Forms.MessageBox]::Show("Wird aufgrund der Liste gelscht: " + $App.displayName,$title,0)
            Remove-AppxProvisionedPackage -online -package $App.PackageName
            Remove-AppxPackage $App.PackageName 
            "App gelscht (Liste): " + $App.displayName
        }

       else
       {
        $message = "Wollen Sie das App lschen: " +  $App.displayName

        $result = $host.ui.PromptForChoice($title, $message, $options, 0) 

        switch ($result)
        {
            0 {  Remove-AppxProvisionedPackage -online -package $App.PackageName
                Remove-AppxPackage $App.PackageName  <#Lsche fr den aktuellen Benutzer damit Sysprep geht#>
                "App gelscht: " + $App.displayName}
            1 {"App nicht gelscht: " + $App.displayName}
        }
        }
    }
}